=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_installsystemd:
	dh_installsystemd --name=rsetup-aic8800-reset@
	dh_installsystemd --name=rsetup-hciattach@
	dh_installsystemd --name=rsetup
